<?php
/*
 * Tutorial: Actions in WordPress
 * URL: https://www.rafaelcardero.com/tutorials/actions-in-wordpress/
 */

/* -----------------------------------------------------------------------------
 * - Example
 * ---------------------------------------------------------------------------*/

/*
 * Sends an email notifying that a post has been published.
 */
function ns_notify_post_published($new_status, $old_status, $post){
    
    $is_post_published = ($old_status != 'publish') && ($new_status == 'publish');
    if($is_post_published){
        $to = array('address1@example.com', 'address2@example.com', 'address3@example.com');
        $subject = __('Hello!', 'ns');;
        $message = __('I just published this on my website: ', 'ns') . get_permalink($post);
        wp_mail($to, $subject, $message);
    }
}
add_action('transition_post_status', 'ns_notify_post_published', 10, 3);